//
// Color system
//
$gray-100:                     #f8f9fa !default;
$gray-600:                     #6c757d !default;
$gray-800:                     #3b3b3b !default;
$gray-900:                     #2b2b2b !default;
$black:                        #000000 !default;

$default:                      #eaebec !default;
$primary:                      #4faf98 !default;
$secondary:                    #ff3f00 !default;
$light:                        $gray-100 !default;
$dark:                         $gray-900 !default;

$link-color:                   $primary !default;
$link-hover-color:             darken($link-color, 15%) !default;
$link-alternate-color:         #ffffff !default;
$link-alternate-hover-color:   darken($link-alternate-color, 15%) !default;

//
// Options
//
$enable-rounded:              false !default;

//
// Fonts
//
$font-size-base:               1rem !default;
$h1-font-size:                 $font-size-base * 2 !default;
$h2-font-size:                 $font-size-base * 1.75 !default;
$h3-font-size:                 $font-size-base * 1.5 !default;
$h4-font-size:                 $font-size-base * 1.25 !default;
$h5-font-size:                 $font-size-base * 1 !default;
$h6-font-size:                 $font-size-base * 0.85 !default;

$headings-font-weight:         300 !default;
$blockquote-font-size:         ($font-size-base * 1.15) !default;

$headline-scaling: () !default;
$headline-scaling: map-merge((
		xs: 1,
		sm: 1,
		md: 1.1,
		lg: 1.2,
		xl: 1.3
), $headline-scaling);
$headline-awesome-scaling: () !default;
$headline-awesome-scaling: map-merge((
		xs: 1,
		sm: 1,
		md: 1.25,
		lg: 1.5,
		xl: 1.75
), $headline-awesome-scaling);

//
// Breakpoints
//
$grid-float-breakpoint:        992px !default;

//
// Grid
//
$grid-gutter-width:            40px !default;

//
// Navbar
//
$navbar-nav-link-padding-x:    1rem !default;
$navbar-heights: (
		xs: 70px,
		sm: 70px,
		md: 100px,
		lg: 130px,
		xl: 130px
) !default;

//
// Subnav
//
$subnav-font-size:            $font-size-base * 0.875 !default;
$subnav-line-height:          1.25 !default;
$subnav-link-padding-x:       1rem !default;
$subnav-link-padding-y:       .5rem !default;
$subnav-border-color:         #e6e6e6 !default;
$subnav-color:                rgba($black, .5) !default;
$subnav-hover-color:          rgba($black, .7) !default;
$subnav-hover-bg:             #f2f2f2 !default;
$subnav-active-color:         $link-color !default;
$subnav-active-bg:            transparent !default;

//
// Cards
//
$card-spacer-y:               1rem !default;
$card-spacer-x:               1.5rem !default;
$card-group-margin:           10px !default;

//
// Frame Inner Spacing
//
$frame-inner-spacing:         2rem !default;
$frame-inner-spacing-scaling: () !default;
$frame-inner-spacing-scaling: map-merge((
		xs: 1,
		sm: 1.25,
		md: 1.5,
		lg: 1.75,
		xl: 1.75
), $frame-inner-spacing-scaling);

//
// Frame Outer Spacing
//
$frame-outer-spacing:         1rem !default;
$frame-outer-spacing-scaling: () !default;
$frame-outer-spacing-scaling: map-merge((
		none: 0,
		extra-small: 1,
		small: 1.5,
		medium: 2,
		large: 2.5,
		extra-large: 3
), $frame-outer-spacing-scaling);

//
// Frame Background
//
$frame-backgrounds: () !default;
$frame-backgrounds: map-merge((
		primary: (
				background:                $primary,
				link-color:                $link-alternate-color,
				link-hover-color:          $link-alternate-hover-color
		),
		secondary: (
				background:                $secondary,
				link-color:                $link-alternate-color,
				link-hover-color:          $link-alternate-hover-color
		),
		light: (
				background:                $light,
				link-color:                $link-color,
				link-hover-color:          $link-hover-color
		),
		dark: (
				background:                $dark,
				link-color:                $link-color,
				link-hover-color:          $link-hover-color
		)
), $frame-backgrounds);

//
// Footer
//
$footer-sections: () !default;
$footer-sections: map-merge((
		content: (
				background:                $gray-900,
				color:                     #fff,
				link-color:                $primary
		),
		meta: (
				background:                darken($gray-900, 3%),
				color:                     #fff,
				link-color:                $primary
		)
), $footer-sections);

//
// Breadcrumbs
//
$breadcrumb-bg:                #f2f2f2 !default;
